package parser.ServletParser.library;

import java.lang.*;

/** 이 클래스는 특정 스트링에 추가된 객체 정보를 관리하기 위해 사용되는 범용 목적의 클래스이다.
 */
public class StrWithObj extends Object {
	/** 이 객체의 이름이다.
	 */
	private String _name;
	/** 이 객체에 추가된 객체 정보 레퍼런스 이다.
	 */
	private Object _object;
	/** 이 객체와 관계되는 수치 정보를 저장한다.
	 */
	public int count;
	/** 이 객체와 관계되는 x 좌표 값을 저장한다.
	 */
	public int x;
	/** 이 객체와 관계되는 y 좌표 값을 저장한다.
	 */
	public int y;
	/** 생성자이다.
	 */
	public StrWithObj() {
		_name = null;
		_object = null;
		count = 0;
		x = 0;
		y = 0;
	}
	/** 생성자이다.
	 */
	public StrWithObj(String name) {
		this();
		if (name != null) _name = new String(name);
		count = 1;
	}
	/** 생성자이다.
	 */
	public StrWithObj(String name,Object obj) {
		this();
		if (name != null) _name = new String(name);
		_object = obj;
		count = 1;
	}
	/** 생성자이다.
	 */
	public StrWithObj(String name,Object obj,int i,int j) {
		this(name,obj);
		x = i;
		y = j;
	}
	/** 데이터 멤버 _name에 대한 read access 함수이다.
	 */
	public String getName() {
		return new String(_name);
	}
	/** 데이터 멤버 _object에 대한 read access 함수이다.
	 */
	public Object getObject() {
		return _object;
	}
};